MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0025501Community[OCCT] OCCT:Application Frameworkpublic2014-11-19 18:122015-05-14 15:32
ReporterVico Liang 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformWindowsOSVC++ 2013OS Version64 bit
Product Version[OCCT] 6.8.0 
Target Version[OCCT] 6.9.0Fixed in Version[OCCT] 6.9.0 
Summary0025501: TNaming::Displace calls itself recursively with default parameter.
Descriptionvoid TNaming::Displace (const TDF_Label& L,
            const TopLoc_Location& Loc,
            const Standard_Boolean WithOld)
{
  for (TDF_ChildIterator ciL(L); ciL.More(); ciL.Next()) {
    Displace (ciL.Value(),Loc); // BUG: the recursive call might need the parameter WithOld e.g. Displace (ciL.Value(),Loc, WithOld);
  }
}
Steps To ReproduceFixed in branch CR25501.
Test case - NA.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0038001)
szy (administrator)
2015-03-02 15:53

Could you attach a testing script allowing to reproduce the problem.
Thanks.
(0038008)
Vico Liang (developer)
2015-03-02 16:22

Hi szy,

This bug is very easy to find by static code analysis. I have attached the fix in the comment.

There is a correct version in OCCT QADraw package.
opencascade-6.8.0\src\QANewBRepNaming\QANewBRepNaming.cxx

void QANewBRepNaming::Displace (const TDF_Label& theLabel,
                        const TopLoc_Location& theLoc,
                        const Standard_Boolean theWithOld)
(0038085)
git (administrator)
2015-03-04 16:03

Branch CR25501 has been created by szy.

SHA-1: cf082e89a998303078a814c183cf2b2f7ed30aae


Detailed log of new commits:

Author: szy
Date: Wed Mar 4 14:58:37 2015 +0300

    Patch to fix misprint in method Displace ().
(0038088)
szy (administrator)
2015-03-04 16:14

Reviewed.
(0038137)
mkv (tester)
2015-03-05 13:02

Dear BugMaster,
Branch CR25501 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: cf082e89a998303078a814c183cf2b2f7ed30aae

Number of compiler warnings:

occt component :
Linux: 18 (18 on master)
Windows: 2 (2 on master)

products component :
Linux: 11 (11 on master)
Windows: 4 (4 on master)

Regressions/Differences:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 91907337 / 91875321
Total CPU difference: 59044.25000000029 / 59518.86999999998
products component :
Total MEMORY difference: 23443722 / 23383466
Total CPU difference: 16318.189999999973 / 16551.239999999983

Testing on Windows:
occt component :
Total MEMORY difference: 57946261 / 57944267
Total CPU difference: 30464.90625 / 38926.375
products component :
Total MEMORY difference: 16200522 / 16209637
Total CPU difference: 9786.90625 / 9535.171875

There are no differences in images found by testdiff.
(0038515)
git (administrator)
2015-03-18 13:33

Branch CR25501 has been deleted by inv.

SHA-1: cf082e89a998303078a814c183cf2b2f7ed30aae

- Related Changesets
occt: master 076b125a
Timestamp: 2015-03-04 11:58:37
Author: szy
Committer: bugmaster
Details ] Diff ]
0025501: TNaming::Displace calls itself recursively with default parameter.

Patch to fix misprint in method Displace ().
mod - src/TNaming/TNaming.cxx Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-11-19 18:12 Vico Liang New Issue
2014-11-19 18:12 Vico Liang Assigned To => szy
2015-03-02 15:53 szy Note Added: 0038001
2015-03-02 15:53 szy Assigned To szy => Vico Liang
2015-03-02 15:53 szy Status new => feedback
2015-03-02 16:22 Vico Liang Note Added: 0038008
2015-03-02 16:23 Vico Liang Assigned To Vico Liang => szy
2015-03-02 16:23 Vico Liang Status feedback => assigned
2015-03-04 12:35 szy Status assigned => resolved
2015-03-04 12:35 szy Steps to Reproduce Updated View Revisions
2015-03-04 16:03 git Note Added: 0038085
2015-03-04 16:14 szy Note Added: 0038088
2015-03-04 16:14 szy Assigned To szy => mkv
2015-03-04 16:14 szy Status resolved => reviewed
2015-03-04 16:15 szy Steps to Reproduce Updated View Revisions
2015-03-05 13:02 mkv Note Added: 0038137
2015-03-05 13:02 mkv Assigned To mkv => bugmaster
2015-03-05 13:02 mkv Status reviewed => tested
2015-03-05 13:02 mkv Test case number => Not needed
2015-03-06 15:13 bugmaster Changeset attached => occt master 076b125a
2015-03-06 15:13 bugmaster Status tested => verified
2015-03-06 15:13 bugmaster Resolution open => fixed
2015-03-10 12:59 bugmaster Target Version 7.0.0 => 6.9.0
2015-03-18 13:33 git Note Added: 0038515
2015-05-14 15:29 user533 Status verified => closed
2015-05-14 15:32 user533 Fixed in Version => 6.9.0


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker